package com.zjrs.ggfw.dzsbk.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author lizhixin
 * @Date 2021/8/19 19:22
 */
public class RealNameAuthDTO implements Serializable {
	
	private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "实名认证凭证")
    @NotBlank(message = "实名认证凭证不能为空！")
    private String AuthToken;

    @ApiModelProperty(value = "实名认证授权地址")
    private String RedirectURL;

    @ApiModelProperty(value = "唯一请求 ID")
    private String RequestId;

    public String getAuthToken() {
        return AuthToken;
    }

    public void setAuthToken(String authToken) {
        AuthToken = authToken;
    }

    public String getRedirectURL() {
        return RedirectURL;
    }

    public void setRedirectURL(String redirectURL) {
        RedirectURL = redirectURL;
    }

    public String getRequestId() {
        return RequestId;
    }

    public void setRequestId(String requestId) {
        RequestId = requestId;
    }
}
